## ocsigen 1.3.3

=== examples/Makefile ===
include ../Makefile.config

FILES=$(wildcard *.ml)

TUTOWIKI= tutoeliom1.wiki tutoeliom2.wiki tutoeliom3.wiki

ifeq "$(OCAMLDUCE)" "YES"
DUCEMODBYTE=exampleduce.cmo
DUCEMODOPT=$(CMXSDUCE)
else
DUCEMODBYTE=
DUCEMODOPT=
endif

ifeq "$(NATDYNLINK)" "YES"
CMXS= $(FILES:.ml=.cmxs)
CMXSDUCE=exampleduce.cmxs
else
CMXS=
endif


LIB = $(LIBDIRS) -package lwt.unix,netstring,camlp4
CAMLC = $(OCAMLFIND) $(CAMLCNAME) $(DBG) $(LIB)
CAMLOPT = $(OCAMLFIND) $(CAMLOPTNAME) $(DBG) $(LIB)
CAMLDEP = $(OCAMLFIND) ocamldep $(LIB)
PP = -syntax camlp4o -ppopt "../xmlp4/xhtmlsyntax.cma" -ppopt "-loc loc"

OBJS = $(FILES:.ml=.cmo)
OBJSOPT = $(CMXS)

byte: $(OBJS) $(DUCEMODBYTE) miniwiki.byte $(TUTOWIKI)

opt: $(OBJSOPT) $(DUCEMODOPT) miniwiki.opt

exampleduce.cmo: ocamlduce/exampleduce.cmo
	cp ocamlduce/exampleduce.cmo .

ocamlduce/exampleduce.cmo: ocamlduce/exampleduce.ml tutoeliom.cmo
	$(OCAMLDUCEFIND) ocamlc $(DBG) $(LIB) -c ocamlduce/exampleduce.ml

exampleduce.cmx: ocamlduce/exampleduce.cmx
	cp ocamlduce/exampleduce.cmx ocamlduce/exampleduce.o .

ocamlduce/exampleduce.cmx: ocamlduce/exampleduce.ml
	$(OCAMLDUCEFIND) ocamlopt $(DBG) $(LIB) -c ocamlduce/exampleduce.ml

exampleduce.cmxs: exampleduce.cmx
	$(OCAMLDUCEFIND) ocamlopt $(DBG) $(LIB) -linkall -shared \
	  -o ocamlduce/$*.cmxs $<
	cp ocamlduce/exampleduce.cmxs .

miniwiki.byte:
	$(MAKE) -C miniwiki byte

miniwiki.opt:
	$(MAKE) -C miniwiki opt

tutoeliom1.wiki: tutoeliom.ml
	cat tutoeliom.ml | sed '1,/(\*wiki\*/d' | sed '/%<||2>%/,$$ d' | /bin/sh ./tutomake.sh > tutoeliom1.wiki

tutoeliom2.wiki: tutoeliom.ml
	cat tutoeliom.ml | sed '/%<||3>%/,$$ d' | sed '1,/%<||2>%/d' | /bin/sh ./tutomake.sh > tutoeliom2.wiki

tutoeliom3.wiki: tutoeliom.ml
	cat tutoeliom.ml | sed '/%<||4>%/,$$ d' | sed '1,/%<||3>%/d' | /bin/sh ./tutomake.sh > tutoeliom3.wiki


.SUFFIXES:
.SUFFIXES: .ml .mli .cmo .cmi .cmx .cmxs

.PHONY: depend


.ml.cmo:
	$(CAMLC) $(PP) -c $<

.mli.cmi:
	$(CAMLC) -c $<

.ml.cmx:
#	-rm ../extensions/ocsipersist.cmx
	$(CAMLOPT) $(PP) -c $<
#	touch ../extensions/ocsipersist.cmx

.cmx.cmxs:
	$(CAMLOPT) -shared -linkall -o $@ $<

clean:
	$(MAKE) -C miniwiki clean
	-rm -f *.cm[ioax] *.cmxa *.cmxs *.o *~ $(NAME) *.annot ocamlduce/*.cm[ioax] ocamlduce/*.cmxa ocamlduce/*.cmxs ocamlduce/*~ ocamlduce/*.annot

depend:
	$(MAKE) -C miniwiki depend
	$(CAMLDEP) $(PP) $(LIB) $(FILES:.ml=.mli) $(FILES) | sed s%ocsipersist.cmx%ocsipersist.cmi%g > .depend

FORCE:

-include .depend

=== extensions/Makefile ===

include ../Makefile.config

# /!\ Simple expanded variable, because of camlzip below
FILES:= ocsigen_LocalFiles.ml staticmod.ml cgimod.ml redirectmod.ml	\
	revproxy.ml extensiontemplate.ml accesscontrol.ml staticmod.ml	\
	cgimod.ml userconf.ml outputfilter.ml authbasic.ml		\
	rewritemod.ml extendconfiguration.ml

ifeq "$(OCSIPERSISTSQLITE)" "YES"
FILESSQLITE= ocsipersist.ml
OBJSQLITE= ocsipersist-sqlite.cma
PACKSQLITE=,sqlite3
REMOVECMX=removecmx
else

endif


ifeq "$(CAMLZIP)" "YES"
FILES:= $(FILES) deflatemod.ml
PACKCAMLZIP=,$(CAMLZIPNAME)
else
endif

ifeq "$(OCSIPERSISTDBM)" "YES"
OBJDBMBYTE= dbm-byte
OBJDBMOPT= dbm-opt
else
endif

ifeq "$(NEWOCAMLNET)" "YES"
NETSYS=netsys
NETSYSCMA=netsys.cma
NETSYSCMXA=netsys.cmxa
else
NETSYS=
NETSYSCMA=
NETSYSCMXA=
endif

ifeq "$(NATDYNLINK)" "YES"
CMXS1=$(OBJSQLITE:.cma=.cmxs)
CMXS2=$(FILES:.ml=.cmxs) $(DUCEFILES:.ml=.cmxs)
else
CMXS1=$(OBJSQLITE:.cma=.cmxa)
CMXS2=$(FILES:.ml=.cmx) $(DUCEFILES:.ml=.cmx)
endif

# LIB=$(LIBDIRS)

LIB = -thread -package lwt.unix,netstring$(PACKCAMLZIP)$(PACKSQLITE) $(LIBDIRS)
CAMLC = $(OCAMLFIND) $(CAMLCNAME2) $(DBG) $(LIB)
CAMLOPT = $(OCAMLFIND) $(CAMLOPTNAME) $(DBG) $(LIB)
CAMLDOC = $(OCAMLFIND) ocamldoc $(LIB)
CAMLDEP = $(OCAMLFIND) ocamldep $(LIBDIRS)
PP = 
PP2 = 
# -pp "$(CAMLP4O) ../lib/xhtmlsyntax.cma -- -loc loc"


OBJS = $(OBJSQLITE) $(FILES:.ml=.cmo) $(DUCEFILES:.ml=.cmo)

OBJSOPT = $(CMXS1) $(OBJSQLITE:.cma=.cmxa) \
          $(CMXS2)


.SUFFIXES:
.SUFFIXES: .ml .mli .cmo .cmi .cmx .cmxs .cmxa

.PHONY: doc depend dbm-byte dbm-opt removecmx forceremovecmx

byte: $(OBJDBMBYTE) $(OBJS)

opt: $(OBJDBMOPT) $(REMOVECMX) $(OBJSOPT) forceremovecmx


dbm-byte:
	$(MAKE) -C ocsipersist-dbm byte

dbm-opt:
	$(MAKE) -C ocsipersist-dbm opt

removecmx:
	-[ -f ocsipersist.cmx ] && rm ocsipersist.cmx

forceremovecmx:
	-rm -f ocsipersist.cmx

ocsipersist-sqlite.cma: ocsipersist.cmo
	$(CAMLC) -a -o ocsipersist-sqlite.cma ocsipersist.cmo

ocsipersist-sqlite.cmxa: ocsipersist.cmx
	$(CAMLOPT) -a -o ocsipersist-sqlite.cmxa ocsipersist.cmx

ocsipersist-sqlite.cmxs: ocsipersist.cmx
	$(CAMLOPT) -shared -linkall -o ocsipersist-sqlite.cmxs ocsipersist.cmx


.ml.cmo:
	$(CAMLC) $(PP) -c $<

.mli.cmi:
	$(CAMLC) -c $<

.ml.cmx:
	$(CAMLOPT) $(PP) -c $<

.cmx.cmxs:
	$(CAMLOPT) -shared -linkall -o $@ $<

#doc:
#	$(CAMLDOC) -d doc -html ocsigen.mli ocsigen_extensions.mli

$(FILES:.ml=.cmxs): $(FILES:.ml=.cmx)
$(DUCEFILES:.ml=.cmxs): $(DUCEFILES:.ml=.cmx)

.PHONY: clean
clean:
	-rm -f *.cm[aiox] *.cmxa *.cmxs *.o *.cmx *.a *~ doc/*  *.annot
	$(MAKE) -C ocsipersist-dbm clean

depend:
	$(CAMLDEP) $(PP2) $(FILESSQLITE:.ml=.mli) $(FILESSQLITE) $(FILES:.ml=.mli) $(FILES) $(DUCEFILES:.ml=.mli) $(DUCEFILES) > .depend
	$(MAKE) -C ocsipersist-dbm depend


FORCE:

-include .depend

=== server/Makefile ===
include ../Makefile.config

NAME=$(OCSIGENNAME)

FILES= ocsigen_extensions.ml ocsigen_parseconfig.ml ocsigen_http_client.ml \
	../extensions/ocsigen_LocalFiles.ml ocsigen_server.ml
EXE= server_main.ml


ifeq "$(BYTECODE)" "YES"
INSTALLBYTE=installbyte
else
INSTALLBYTE=
endif

ifeq "$(NATIVECODE)" "YES"
INSTALLOPT=installopt
else
INSTALLOPT=
endif


ifeq "$(NEWOCAMLNET)" "YES"
NETSYS=netsys,
NETSYSCMA=netsys.cma
NETSYSCMXA=netsys.cmxa
else
NETSYS=
NETSYSCMA=
NETSYSCMXA=
endif

ifeq "$(NATDYNLINK)" "YES"
DYNLINK=dynlink,
else
DYNLINK=
endif

ifeq ($(OCAMLVERSION),OLD)
#  CMAOCAMLP4= gramlib.cma
#  CMXXACAMLP4= gramlib.cmxa
  CMAOCAMLP4=
  CMXXACAMLP4=
#  LIB=$(LIB1)
  CAMLP4PACKAGES=,camlp4.gramlib
else
  CAMLP4PACKAGES= 
  CMAOCAMLP4= camlp4lib.cma Camlp4OCamlRevisedParser.cmo Camlp4OCamlParser.cmo
  CMXXACAMLP4= camlp4lib.cmxa Camlp4OCamlRevisedParser.cmx Camlp4OCamlParser.cmx
  LIBDIRS := $(LIBDIRS) -I +camlp4 -I +camlp4/Camlp4Parsers
endif

INSTALL = install
CAMLC = $(OCAMLFIND) $(CAMLCNAME2) $(DBG) -package dynlink $(LIB)
CAMLMKTOP = $(OCAMLFIND) $(CAMLMKTOPNAME) $(LIB)
CAMLOPT = $(OCAMLFIND) $(CAMLOPTNAME) $(DBG) $(LIB)
CAMLDOC = $(OCAMLFIND) ocamldoc $(LIB)
CAMLDEP = $(OCAMLFIND) ocamldep $(LIBDIRS)
LIB = -thread -package lwt.ssl,lwt.extra,netstring,$(NETSYS)ssl,pcre,unix,$(DYNLINK)threads$(CAMLP4PACKAGES),findlib $(LIBDIRS)
# also modify builtin_package in ocsigen_config.ml if you modify the former line!
PP = 
PP2 = 

ifdef DONOTPARSECOMMANDLINE
PARSECOMMANDLINECMA=../baselib/donotparsecommandline.cma
else
PARSECOMMANDLINECMA=../baselib/parsecommandline.cma
endif
PARSECOMMANDLINECMXA=$(PARSECOMMANDLINECMA:.cma=.cmxa)

# cma and cmo to be linked in the server:

CMOS = ../baselib/ocsigen_lib_obrowser.cmo \
       ../baselib/ocsigen_cache.cmo \
       ../baselib/ocsigen_lib.cmo \
       ../xmlp4/xmllexer.cmo ../xmlp4/simplexmlparser.cmo \
       ../baselib/ocsigen_config.cmo \
       ../baselib/ocsigen_commandline.cmo \
	../baselib/ocsigen_messages.cmo \
       ../baselib/dynlink_wrapper.cmo ../baselib/ocsigen_loader.cmo \
       ../baselib/ocsigen_stream.cmo ../http/multipart.cmo \
       ../http/http_headers.cmo \
       ../http/ocsigen_http_frame.cmo ../http/ocsigen_headers.cmo \
       ../http/ocsigen_range.cmo \
       ../http/http_lexer.cmo ../http/http_parser.cmo \
       ../http/framepp.cmo ../http/ocsigen_http_com.cmo \
       ../xmlp4/xhtmlpretty_streams.cmo ../xmlp4/xhtmlcompact_streams.cmo \
       ../http/ocsigen_charset_mime.cmo ../http/ocsigen_senders.cmo \
       ../baselib/polytables.cmo
# also modify builtin_package in ocsigen_config.ml if you modify the former line!
CMAO = ../xmlp4/xhtml.cma ../xmlp4/xhtmlpretty.cma $(NAME).cma

STUBS_OBJS = stubs.o

OBJS = $(FILES:.ml=.cmo) $(DUCEFILES:.ml=.cmo)
OBJSEXE = $(EXE:.ml=.cmo)

CMXSATEMP=$(CMOS:.cmo=.cmx)
CMXSA=$(CMXSATEMP:.cma=.cmxa)
CMXXATEMP=$(CMAO:.cmo=.cmx)
CMXXA=$(CMXXATEMP:.cma=.cmxa)

OBJSOPT = $(FILES:.ml=.cmx) $(DUCEFILES:.ml=.cmx)
OBJSEXEOPT = $(EXE:.ml=.cmx)


byte: $(OBJS) $(OBJSEXE) $(NAME) $(NAME)top

opt: $(OBJSOPT) $(OBJSEXEOPT) $(NAME).opt


.SUFFIXES:
.SUFFIXES: .ml .mli .cmo .cmi .cmx

.PHONY: doc depend

$(NAME): $(CMAO) $(OBJSEXE) $(PARSECOMMANDLINECMO)
	$(CAMLC) -o $(NAME) -linkpkg -linkall $(PARSECOMMANDLINECMA) $(CMAOCAMLP4) $(CMAO) $(OBJSEXE)

$(NAME).opt: $(CMXXA) $(OBJSEXEOPT) $(PARSECOMMANDLINECMX)
	$(CAMLOPT) -o $(NAME).opt -linkpkg -linkall $(PARSECOMMANDLINECMXA) $(CMXXACAMLP4) $(CMXXA) $(OBJSEXEOPT)

$(NAME).cma: $(CMOS) $(OBJS) $(STUBS_OBJS)
	$(CAMLMKLIB) -o $(NAME) -oc $(NAME) -linkall $(CMOS) $(OBJS) $(STUBS_OBJS)

$(NAME).cmxa: $(CMXSA) $(OBJSOPT) $(STUBS_OBJS)
	$(CAMLMKLIB) -o $(NAME) -oc $(NAME) -linkall $(CMXSA) $(OBJSOPT) $(STUBS_OBJS)

$(NAME)top: $(CMAO) $(PARSECOMMANDLINECMO)
	$(CAMLMKTOP) -o $(NAME)top -linkpkg -linkall $(PARSECOMMANDLINECMA) $(CMAOCAMLP4) $(CMAO)

.ml.cmo:
	$(CAMLC) $(PP) -c $<

.mli.cmi:
	$(CAMLC) -c $<

.ml.cmx:
	$(CAMLOPT) $(PP) -c $<

#doc:
#	$(CAMLDOC) -d doc -html eliom.mli ocsigen.mli ocsigen_extensions.mli


stubs.o: stubs.c
	$(CAMLC) $(CAMLINCLUDE) -c $<

.PHONY: clean
clean:
	-rm -f *.cm[aiox] *.cmxa *.cmxs *.o *.a *~ doc/* $(NAME) $(NAME).opt $(NAME)top *.annot *.so

.PHONY: install
install: install_so $(INSTALLBYTE) $(INSTALLOPT)

install_so:
	@echo "Installing shared stubs"
	mkdir -p $(TEMPROOT)$(STUBDIR)
	$(INSTALL) -m 755 dll$(NAME).so $(TEMPROOT)$(STUBDIR)/

installbyte:
	@echo "Installing bytecode server"
	mkdir -p $(TEMPROOT)$(BINDIR)
	$(INSTALL) -m 755 $(NAME) $(TEMPROOT)$(BINDIR)/

installopt:
	@echo "Installing native server"
	mkdir -p $(TEMPROOT)$(BINDIR)
	[ -f $(NAME).opt ] && $(INSTALL) -m 755 $(NAME).opt $(TEMPROOT)$(BINDIR)/

.PHONY: uninstall
uninstall:
	rm -f $(TEMPROOT)$(BINDIR)/$(NAME)
	rm -f $(TEMPROOT)$(BINDIR)/$(NAME).opt
	rm -f $(TEMPROOT)$(STUBDIR)/dll$(NAME).so

depend:
	$(CAMLDEP) $(LIBDIRS) $(PP2) $(FILES:.ml=.mli) $(EXE:.ml=.mli) $(FILES) $(EXE) $(DUCEFILES:.ml=.mli) $(DUCEFILES) > .depend


FORCE:

-include .depend

=== debian/changelog ===
ocsigen (1.3.3-1~ubuntu10.04.1) lucid-backports; urgency=low

  * No-change backport to lucid (LP: #1021944)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 06 Jul 2012 22:38:53 +0100

ocsigen (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Move META file to libocsigen-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Jun 2010 11:44:07 +0200

ocsigen (1.3.2-1) unstable; urgency=low

  * New upstream release
    - the web server should now be insensitive to the net.ipv6.bindv6only
      sysctl setting (Closes: #578216)
    - add ocsigen.xhtml* compatibility packages (Closes: #579689)
    - remove all patches (committed upstream)
    - bump build-dependency to lwt to 2.1.0
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Apr 2010 08:39:59 +0200

ocsigen (1.3.0-4) unstable; urgency=low

  * Fix FTBFS on hppa:
    - add 0002-Do-not-compile-dbm-test-with-custom.patch
  * Fix "directory" variable in META.ocsigen_ext

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Mar 2010 23:02:28 +0100

ocsigen (1.3.0-3) unstable; urgency=low

  * Split out libocsigen-xhtml-ocaml-dev (Closes: #574887)
    - add 0001-Split-out-ocsigen_xhtml-findlib-package.patch
  * Put dynamically loaded plugins into libocsigen-ocaml
  * Fix symbolic links shipped by libocsigen-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Mar 2010 00:52:03 +0100

ocsigen (1.3.0-2) unstable; urgency=low

  * Upload to unstable
  * This version breaks nurpawiki (<< 1.2.3-4~) because of API changes

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Mar 2010 16:13:10 +0100

ocsigen (1.3.0-1) experimental; urgency=low

  * New upstream release
    - add libobrowser-ocaml-dev to Build-Depends
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Add dependency to remote_fs in initscript
  * Compile the doc only when libocsigen-ocaml-doc is being built

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Mar 2010 14:05:31 +0100

ocsigen (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Major overhaul of binary packages: libocsigen-ocaml{,-dev,-doc} is now
    treated as a regular library (Closes: #517303), without dependency to
    the web server itself; ocsigen-dev is kept as a metapackage that
    depends on the web server
  * Switch packaging to dh-ocaml 0.9
  * Handle /var/log/ocsigen in maintainer scripts:
    - create an empty log when installing (Closes: #550324)
    - remove log files on purging (policy 10.8)
  * Upload to unstable (Closes: #551236)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Oct 2009 18:19:59 +0200

ocsigen (1.2.1-1) experimental; urgency=low

  * New upstream release:
    - remove all patches (merged upstream)
  * Update watch file
  * Change dependency to liblwt-ocaml in ocsigen

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Sep 2009 13:56:22 +0200

ocsigen (1.2.0-3+lwt.1) experimental; urgency=low

  * Update my e-mail address and remove DMUA
  * Update dependencies to lwt

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 20:17:39 +0200

ocsigen (1.2.0-3+lwt.0) experimental; urgency=low

  * Build with experimental lwt:
    - add patches Fix-ocsipersist-dbm-Makefile and Adapt-for-lwt-2
    - add versioned (build-)dependency

 -- Stephane Glondu <steph@glondu.net>  Fri, 21 Aug 2009 10:51:52 +0200

ocsigen (1.2.0-3) unstable; urgency=low

  * Changes in dependencies of the ocsigen binary package:
    - add lib{ssl,pcre,ocamlnet}-ocaml (Closes: #536865)
    - change lib{sqlite3,cryptokit,zip}-ocaml-dev to their non-dev
      counterparts, and add versioned dependencies
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Fri, 21 Aug 2009 10:35:02 +0200

ocsigen (1.2.0-2) unstable; urgency=low

  * Fix build on non-native architectures

 -- Stephane Glondu <steph@glondu.net>  Thu, 02 Jul 2009 10:02:08 +0200

ocsigen (1.2.0-1) unstable; urgency=low

  * New upstream release:
    - new patches:
      + fix typo in configure script
      + fix build with pcre-ocaml 6.0.0
    - add dependency on quilt
    - add README.source file
  * Enable OCamlDuce support
  * Enable native code support
  * Add versioned dependency on libpcre-ocaml-dev
  * Install sample configuration files with examples
  * Update Standards-Version to 3.8.2
  * Add versioned dependencies to ease OCaml 3.11.1 transition

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 21:49:21 +0200

ocsigen (1.1.0-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Use dh-ocaml predefined variables in rules.

  [ Stephane Glondu ]
  * Add Provides: httpd, httpd-cgi to ocsigen binary package
  * Update Build-Depends for OCaml 3.11.0 transition
  * Force -custom when linking ocsigen
  * Use more recent features of debhelper 7
  * Install sources of examples in ocsigen-doc
  * debian/ocsigen.init:
    - check if daemon is already running, as per new policy
    - add status command to initscript
    - add dependency on procps
  * Bump Standards-Version to 3.8.1

 -- Stephane Glondu <steph@glondu.net>  Fri, 13 Mar 2009 18:19:19 +0100

ocsigen (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Switching packaging to git.

 -- Stephane Glondu <steph@glondu.net>  Wed, 23 Jul 2008 14:08:42 +0200

ocsigen (1.1.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Remove liblwt-ocaml-dev binary package, as it has its own source
    package now.
  * Add support for update hooks in /etc/ocsigen/update.d.
  * Add DM-Upload-Allowed field to debian/control.
  * Ship .mli files in ocsigen-dev.
  * Do not ship files under /var/www (as complained by lintian)
    (Closes: #485566).
  * Remove dependency to dpatch.
  * Bump Standards-Version to 3.8.0 and debhelper compatibility level
    to 7 (no changes).
  * Update debian/copyright to
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Add README.Debian.

 -- Stephane Glondu <steph@glondu.net>  Mon, 07 Jul 2008 23:05:01 +0200



=== debian/control ===
Source: ocsigen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Samuel Mimram <smimram@debian.org>
Build-Depends:
 debhelper (>= 7.1.0~),
 ocaml-nox (>= 3.11.1-3~),
 camlp4-extra,
 ocaml-findlib (>= 1.2.5),
 liblwt-ssl-ocaml-dev (>= 2.1.1),
 libocamlnet-ocaml-dev (>= 2.2.9-7~),
 libpcre-ocaml-dev (>= 6.0.1-2~),
 libssl-ocaml-dev (>= 0.4.3-3~),
 libgdbm-dev,
 libsqlite3-ocaml-dev (>= 1.5.6-3~),
 libzip-ocaml-dev (>= 1.04-6~),
 libcryptokit-ocaml-dev (>= 1.3-14~),
 libobrowser-ocaml-dev,
 ocamlduce (>= 3.11.1.0-2~),
 dh-ocaml (>= 0.9)
Standards-Version: 3.8.4
Homepage: http://www.ocsigen.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocsigen.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocsigen.git

Package: ocsigen
Section: httpd
Architecture: any
Depends: adduser, psmisc, procps,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: httpd, httpd-cgi
Suggests: ocsigen-dev
Breaks: nurpawiki (<< 1.2.3-4~)
Description: web server and programming framework in OCaml
 Ocsigen is a Web server and a programming framework providing a new
 way to create dynamic Web sites. Its goal is to offer an alternative
 to Apache/PHP, based on cutting-edge technologies coming from
 research in programming languages. It has most of the features you
 expect from a Web server (static pages, CGI scripts, etc.) and also
 an innovative module, called Eliom, for generating dynamic Web
 pages. With Eliom, you program in a concise and modular way, with a
 strong type system which helps you to produce valid xhtml. The server
 handles sessions, URLs, and page parameters automatically.
 .
 This package contains the web server itself and shared files.

Package: libocsigen-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: ocsigen-dev
Provides: ocsigen-doc
Replaces: ocsigen-doc (<< 1.2.2)
Conflicts: ocsigen-doc (<< 1.2.2)
Description: developer's documentation for Ocsigen
 Ocsigen is a Web server and a programming framework providing a new
 way to create dynamic Web sites.
 .
 This package contains the documentation of all Ocsigen's modules.
 This is developer's documentation, generated by ocamldoc. The
 documentation for the server itself is available online.

Package: ocsigen-dev
Architecture: all
Depends:
 ocsigen (>= ${binary:Version}),
 libocsigen-ocaml-doc (>= ${binary:Version}),
 libocsigen-ocaml-dev (>= ${binary:Version}),
 ocaml-findlib,
 ${misc:Depends}
Description: development metapackage for Ocsigen
 Ocsigen is a Web server and a programming framework providing a new
 way to create dynamic Web sites. Its goal is to offer an alternative
 to Apache/PHP, based on cutting-edge technologies coming from
 research in programming languages. It has most of the features you
 expect from a Web server (static pages, CGI scripts, etc.) and also
 an innovative module, called Eliom, for generating dynamic Web
 pages. With Eliom, you program in a concise and modular way, with a
 strong type system which helps you to produce valid xhtml. The server
 handles sessions, URLs, and page parameters automatically.
 .
 This metapackage brings everything you need to develop Ocsigen
 extensions and Eliom modules: the development librairies, the server
 itself and documentation.

Package: libocsigen-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces:
 ocsigen (<< 1.2.2),
 ocsigen-dev (<< 1.2.2),
 libocsigen-ocaml-dev (<< 1.3.3)
Conflicts:
 ocsigen (<< 1.2.2),
 ocsigen-dev (<< 1.2.2),
 libocsigen-ocaml-dev (<< 1.3.3)
Breaks: nurpawiki (<< 1.2.3-4~)
Description: runtime librairies for Ocsigen
 Ocsigen is a Web server and a programming framework providing a new
 way to create dynamic Web sites.
 .
 This package contains runtime librairies for Ocsigen.

Package: libocsigen-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 libgdbm-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocsigen-doc
Replaces: ocsigen (<< 1.2.2), ocsigen-dev (<< 1.2.2)
Conflicts: ocsigen (<< 1.2.2), ocsigen-dev (<< 1.2.2)
Breaks: nurpawiki (<< 1.2.3-4~)
Description: development librairies for Ocsigen
 Ocsigen is a Web server and a programming framework providing a new
 way to create dynamic Web sites. Its goal is to offer an alternative
 to Apache/PHP, based on cutting-edge technologies coming from
 research in programming languages. It has most of the features you
 expect from a Web server (static pages, CGI scripts, etc.) and also
 an innovative module, called Eliom, for generating dynamic Web
 pages. With Eliom, you program in a concise and modular way, with a
 strong type system which helps you to produce valid xhtml. The server
 handles sessions, URLs, and page parameters automatically.
 .
 This package contains development files for compiling Ocsigen
 extensions and Eliom modules.

Package: libocsigen-xhtml-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib, libocsigen-ocaml-doc
Replaces: libocsigen-ocaml-dev (<< 1.3.0-3~)
Conflicts: libocsigen-ocaml-dev (<< 1.3.0-3~)
Description: Ocsigen XHTML generation library
 This package provides the XHTML generation library of Ocsigen, to
 generate statically typed XHTML pages. Typing is achieved with
 polymorphic variants. This library can be used independently of
 Ocsigen. This package contains development files needed to use this
 library alone.
